This is unreleased documentation for Parallel Developer Documentation **Next 🚧** version.

For up-to-date documentation, see the **[latest version](https://developer.parallelmarkets.com/docs/server/case-management-api/files/list)** (Current – v2.x).

Version: Next 🚧

On this page

This endpoint can be used to obtain a list of all files uploaded by an individual or business.

### HTTP Request 
`GET https://api.parallelmarkets.com/v2/partner-records/{id}/files`

- `{id}` \- The individual or business ID in your case management account. If an [external_id](https://developer.parallelmarkets.com/docs/next/server/case-management-api/records/create#using-an-external-identifier) has been set, the `external_id` value can be used instead.

### Query Parameters 
[Pagination request parameters](https://developer.parallelmarkets.com/docs/next/server/case-management-api/introduction#pagination) (optional).

### Response Parameters

| Parameter | Description |
| --- | --- |
| `data` | An array of [Record File](https://developer.parallelmarkets.com/docs/next/server/data-structures#record-file) objects associated with the individual or business. |
| `pagination` | A [Pagination](https://developer.parallelmarkets.com/docs/next/server/case-management-api/introduction#pagination) object containing a `next_cursor` value that can be used in a subsequent API call to obtain the next page of records. |

### Example Response

```json
{

"data": [

{

"name": "document-front.png",

"type": "drivers-license",

"type_name": "Driver's License",

"category": "identity-document",

"note": null,

"change_id": "UG9kVXNlckRhdGFFbnRyeTo5NDY=",

"download_url": "https://secure-files.parallelmarkets.com/file/TWl...",

"download_url_expires": 30,

"expires_at": "2025-01-01T00:00:00Z",

"source": "user"

},

{

"name": "certification.pdf",

"type": "accreditation-certification-letter",

"type_name": "Accreditation Certification Letter",

"category": "accreditation-document",

"note": null,

"change_id": "UG9kVXNlckRhdGFFbnRyeTo5MzQ=",

"download_url": "https://secure-files.parallelmarkets.com/file/6yL...",

"download_url_expires": 30,

"expires_at": null,

"source": "user"

}

],

"pagination": {

"next_cursor": "MTIzNDU="

}

}
```
